### Method

# Snapd Client get_system_information_sync

since: 1.0

#### Declaration [src]

    SnapdSystemInformation*
    snapd_client_get_system_information_sync (
      SnapdClient* client,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Request system information from snapd. While this blocks, snapd is expected to return the information quickly.

Available since: 1.0

#### Parameters

`cancellable`

  Type: `GCancellable`

  A `GCancellable` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `SnapdSystemInformation`

A `SnapdSystemInformation` or `NULL` on error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.